Package org.apache.felix.atomos.maven.configs

## Class MavenNativeImageConfig

- java.lang.Object
- - org.apache.felix.atomos.maven.configs.MavenNativeImageConfig

    public class MavenNativeImageConfig
    extends Object

### Field Summary

Fields
`List<String>` `additionalInitializeAtBuildTime`
`String` `applicationName`
`boolean` `debug`
`List<File>` `dynamicProxyConfigurationFiles`
`String` `mainClass`
`String` `nativeImageArgsPropertyName`
`File` `nativeImageExecutable`
`Boolean` `noFallBack`
`File` `outputDirectory`
`List<File>` `reflectionConfigurationFiles`
`List<File>` `resourceConfigurationFiles`
`List<String>` `vmFlags`
`Map<String,​String>` `vmSystemProperties`

### Constructor Summary

Constructors
`MavenNativeImageConfig()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### additionalInitializeAtBuildTime

    @Parameter(required=false,
               readonly=false)
    public List<String> additionalInitializeAtBuildTime

#### dynamicProxyConfigurationFiles

    @Parameter(required=false,
               readonly=false)
    public List<File> dynamicProxyConfigurationFiles

#### reflectionConfigurationFiles

    @Parameter(required=false,
               readonly=false)
    public List<File> reflectionConfigurationFiles

#### resourceConfigurationFiles

    @Parameter(required=false,
               readonly=false)
    public List<File> resourceConfigurationFiles

#### noFallBack

    @Parameter(required=false,
               readonly=false)
    public Boolean noFallBack

#### debug

    @Parameter(defaultValue="false")
    public boolean debug

#### applicationName

    @Parameter(defaultValue="${project.artifactId}",
               required=false,
               readonly=false)
    public String applicationName

#### mainClass

    @Parameter(required=false,
               readonly=false)
    public String mainClass

#### outputDirectory

    @Parameter(defaultValue="${project.build.directory}/ATOMOS")
    public File outputDirectory

#### nativeImageArgsPropertyName

    @Parameter(defaultValue="graal.native.image.build.args")
    public String nativeImageArgsPropertyName

#### nativeImageExecutable

    @Parameter
    public File nativeImageExecutable

#### vmFlags

    @Parameter
    public List<String> vmFlags

#### vmSystemProperties

    @Parameter
    public Map<String,​String> vmSystemProperties

### Constructor Detail

#### MavenNativeImageConfig

    public MavenNativeImageConfig()